/**
 * 梯形
 */
export class changeTrapezoidPlace {
    constructor() {
    }
    // 梯形左 
    trapezoidLeft (storageMark, xMin, yMin) {
        var leftWidth = Math.max(xMin, storageMark.insideWidth - window.event.clientX + storageMark.grabx)
        storageMark.el.firstElementChild.style.width = leftWidth + 'px'
        storageMark.el.firstElementChild.lastElementChild.style.width = leftWidth - 2 + 'px'
        storageMark.el.style.left = Math.min(storageMark.left + window.event.clientX - storageMark.grabx, storageMark.left + storageMark.width - xMin) + 'px'
        let line = storageMark.el.querySelector('.line')
        line.style.width = leftWidth - 2 + 'px'
        line.style.marginLeft = `-${(leftWidth - 2)/2}px`
        console.log('左左左左左左')
    }
    // 梯形top height
    trapezoidTopHeight (storageMark, xMin, yMin) {
        storageMark.el.style.top = Math.min(storageMark.top + window.event.clientY - storageMark.graby, storageMark.top + storageMark.height - yMin) + 'px'
        storageMark.el.firstElementChild.style.borderBottom = Math.max(yMin, storageMark.insideBottom - window.event.clientY + storageMark.graby) + 'px solid #5b5b5b'
        storageMark.el.firstElementChild.lastElementChild.style.borderBottom = Math.max(yMin, storageMark.insideBottom - window.event.clientY + storageMark.graby) -2 + 'px solid #fff'
        storageMark.el.style.height = Math.max(yMin, storageMark.height - window.event.clientY + storageMark.graby) + 'px'
    }
    // 梯形左下
    trapezoidBottom (storageMark, xMin, yMin) {
        storageMark.el.style.height = Math.max(yMin, storageMark.height + window.event.clientY - storageMark.graby) + 'px'
        storageMark.el.firstElementChild.style.borderBottom = Math.max(yMin, storageMark.insideBottom + window.event.clientY - storageMark.graby) + 'px solid #5b5b5b'
        storageMark.el.firstElementChild.lastElementChild.style.borderBottom = Math.max(yMin, storageMark.insideBottom + window.event.clientY - storageMark.graby) -2 + 'px solid #fff'
    }
    // 梯形右宽
    trapezoidRight (storageMark, xMin, yMin) {
        var oWidth = Math.max(xMin, storageMark.insideWidth + window.event.clientX - storageMark.grabx)
        storageMark.el.firstElementChild.style.width = oWidth + 'px'
        storageMark.el.firstElementChild.lastElementChild.style.width = oWidth - 2 + 'px'
        let line = storageMark.el.querySelector('.line')
        line.style.width = oWidth - 2 + 'px'
        line.style.marginLeft = `-${(oWidth - 2)/2}px`
    }
}
// 圆 部分公共坐标
export class changeCircle {
    constructor() {
    }
    // 改变左宽度
    circleWidth (storageMark, xMin, yMin) {
        var circle_width = Math.max(xMin, storageMark.width - window.event.clientX + storageMark.grabx)
        storageMark.el.style.width = circle_width + 'px'
        storageMark.el.firstElementChild.style.width = circle_width + 'px'
        storageMark.el.style.left = Math.min(storageMark.left + window.event.clientX - storageMark.grabx, storageMark.left + storageMark.width - xMin) + 'px'
        // 浴池补丁
        if(storageMark.el.firstElementChild.className === 'bath-box') {
            console.log(storageMark.el.firstElementChild)
        }
    }
    // 改变右宽
    circleRightWidth (storageMark, xMin) {
        var circle_width = Math.max(xMin, storageMark.width + window.event.clientX - storageMark.grabx) + 'px'
        storageMark.el.style.width = circle_width
        storageMark.el.firstElementChild.style.width = circle_width
    }
    // 改变top高度
    circleTopHeight (storageMark, xMin, yMin) {
        storageMark.el.style.top = Math.min(storageMark.top + window.event.clientY - storageMark.graby, storageMark.top + storageMark.height - yMin) + 'px'
        storageMark.el.style.height = Math.max(yMin, storageMark.height - window.event.clientY + storageMark.graby) + 'px'
        storageMark.el.firstElementChild.style.height = storageMark.el.style.height
    }
    // 改变高度
    circleHeight (storageMark, xMin, yMin) {
        storageMark.el.style.height = Math.max(yMin, storageMark.height + window.event.clientY - storageMark.graby) + 'px'
        storageMark.el.firstElementChild.style.height = storageMark.el.style.height
    }
}
